%undefine __libtoolize
%define qtdir /usr/lib/qt3
%define objprelink 0

Name: knetscan
Version: 1.0
Release: alt6.1

Group: Monitoring
Summary: KnetScan is a full featured front end for the following net tools.
URL: http://sourceforge.net/projects/knetscan
License: GPL

Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>

Requires: nmap /usr/sbin/traceroute /usr/bin/whois /bin/ping

# Automatically added by buildreq on Sun Jun 13 2004
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2 gcc-c++ glibc-devel-static
BuildRequires: kde-settings kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel
BuildRequires: libstdc++-devel-static zlib-devel
%if %objprelink
BuildRequires: objprelink
%endif

Source0: %name-%version.tar.bz2
Patch1: knetscan-1.0-path.patch

%description
KnetScan is a full featured front end for the following net tools: 
nmap , ping , traceroute , whois. You can also print and save 
your results. Think of it as an ALL-IN-ONE net analizer tool. 
It is a reunion of kpinger , knmapfe , ktroute + whois client.

%prep
%setup -q
%patch1 -p1

%build
%__subst 's,\.la\>,.so,' configure
export QTDIR=%qtdir
%configure \
        --disable-rpath \
	--enable-shared \
	--disable-static \
	--disable-debug \
	--program-transform-name=""

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
%make DESTDIR=%buildroot install

# create menu
mkdir -p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name Applications/Monitoring \
    %buildroot/%_datadir/applnk/Applications/%name.desktop \
    %buildroot/%_menudir/%name

cp %buildroot/%_iconsdir/locolor/16x16/apps/knetscan.png %buildroot/%_iconsdir

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_iconsdir/*.png
%_iconsdir/*/*/*/*.png

%_datadir/applnk/Applications/%name.desktop
%_menudir/%name

%doc README INSTALL COPYING AUTHORS ChangeLog TODO

%changelog
* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.0-alt6.1
- Rebuilt with libstdc++.so.6.

* Sun Jun 13 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.0-alt6
- fix requires

* Tue Jan 27 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.0-alt5
- fix builrequires

* Sun Dec 14 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.0-alt4
- rebuilding without *.la

* Wed Oct 01 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.0-alt3
- new buildrequires and rebuilding in hasher

* Tue Sep 17 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt2
- rebuild with gcc3.2

* Mon Jun 17 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.0-alt1
- 1.0

- specfile cleanup

